<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>club.zhcs</groupId>
	<artifactId>rop</artifactId>
	<version>2.3.9.RELEASE</version>
	<packaging>pom</packaging>
	<name>ROP</name>
	<description>Restful based open platform</description>
	<properties>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<rop.version>2.3.9.RELEASE</rop.version>
	</properties>
	<modules>
		<module>rop-core</module>
		<module>rop-server</module>
		<module>rop-client</module>
		<module>rop-spring-boot-starter</module>
		<!-- module>rop-spring-boot-starter-demo</module -->
	</modules>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>club.zhcs</groupId>
				<artifactId>rop-core</artifactId>
				<version>${rop.version}</version>
			</dependency>
			<dependency>
				<groupId>club.zhcs</groupId>
				<artifactId>rop-server</artifactId>
				<version>${rop.version}</version>
			</dependency>
			<dependency>
				<groupId>club.zhcs</groupId>
				<artifactId>rop-client</artifactId>
				<version>${rop.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<dependencies>
		<dependency>
			<groupId>org.nutz</groupId>
			<artifactId>nutz</artifactId>
			<version>1.r.68.v20201205</version>
		</dependency>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<version>1.18.16</version>
		</dependency>
	</dependencies>

	<distributionManagement>
		<snapshotRepository>
			<id>nutz</id>
			<url>http://jfrog.nutz.cn/artifactory/snapshots/</url>
		</snapshotRepository>
		<repository>
			<id>ossrh</id>
			<url>http://jfrog.nutz.cn/artifactory/soho-project/</url>
		</repository>
	</distributionManagement>

	<licenses>
		<license>
			<name>The Apache Software License, Version 2.0</name>
			<url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
		</license>
	</licenses>
	<developers>
		<developer>
			<name>kerbores</name>
			<email>kerbores@gmail.com</email>
		</developer>
	</developers>
	<scm>
		<connection>scm:https://gitea.kerbores.com/ZHCS.CLUB/rop.git</connection>
		<developerConnection>scm:https://gitea.kerbores.com/ZHCS.CLUB/rop.git</developerConnection>
		<url>https://gitea.kerbores.com/ZHCS.CLUB/rop.git</url>
	</scm>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
					<aggregate>true</aggregate>
					<encoding>UTF-8</encoding>
					<charset>UTF-8</charset>
					<docencoding>UTF-8</docencoding>
				</configuration>
				<executions>
					<execution>
						<id>attach-javadocs</id>
						<phase>package</phase>
						<goals>
							<goal>jar</goal>
						</goals>
						<configuration>
							<additionalparam>-Xdoclint:none</additionalparam>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-source-plugin</artifactId>
				<executions>
					<execution>
						<id>attach-sources</id>
						<goals>
							<goal>jar-no-fork</goal>
						</goals>
						<configuration>
							<additionalparam>${javadoc.opts}</additionalparam>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.sonatype.plugins</groupId>
				<artifactId>nexus-staging-maven-plugin</artifactId>
				<version>1.6.3</version>
				<extensions>true</extensions>
				<configuration>
					<serverId>ossrh</serverId>
					<nexusUrl>https://oss.sonatype.org/</nexusUrl>
					<autoReleaseAfterClose>true</autoReleaseAfterClose>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-gpg-plugin</artifactId>
				<version>1.6</version>
				<executions>
					<execution>
						<id>sign-artifacts</id>
						<phase>verify</phase>
						<goals>
							<goal>sign</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
	<issueManagement>
		<system>gitea</system>
		<url>https://gitea.kerbores.com/ZHCS.CLUB/rop/issues</url>
	</issueManagement>
	<organization>
		<name>ZHCS.CLUB</name>
		<url>https://gitea.kerbores.com/ZHCS.CLUB</url>
	</organization>
	<url>https://gitea.kerbores.com/ZHCS.CLUB/rop</url>
</project>